> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Get one-click repay currencies

GET https://www.okx.com/api/v5/trade/one-click-repay-currency-list

Get list of debt currency data and repay currencies. Debt currencies include both cross and isolated debts. Only applicable to `Multi-currency margin`/`Portfolio margin`.

Reference: https://okx-demo.ferndocs.com/api/api-reference/trade/get-one-click-repay-list

## Authentication

- `OK-ACCESS-KEY` header (required) — Your API key.
- `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string.
- `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z.
- `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key.

## Request

### Query parameters

- `debtType` (enum, optional) — Debt type `cross`: cross `isolated`: isolated
  - Allowed values: `cross`, `isolated`

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (list of ApiV5TradeOneClickRepayCurrencyListGetResponsesContentApplicationJsonSchemaDataItems, optional)

## Types

### ApiV5TradeOneClickRepayCurrencyListGetResponsesContentApplicationJsonSchemaDataItems

- `debtData` (list of ApiV5TradeOneClickRepayCurrencyListGetResponsesContentApplicationJsonSchemaDataItemsDebtDataItems, optional) — Debt currency data list
- `repayData` (list of ApiV5TradeOneClickRepayCurrencyListGetResponsesContentApplicationJsonSchemaDataItemsRepayDataItems, optional) — Repay currency data list

### ApiV5TradeOneClickRepayCurrencyListGetResponsesContentApplicationJsonSchemaDataItemsDebtDataItems

- `debtCcy` (string, optional) — Debt currency.
- `debtAmt` (string, optional) — Debt amount, including principal and interest.

### ApiV5TradeOneClickRepayCurrencyListGetResponsesContentApplicationJsonSchemaDataItemsRepayDataItems

- `repayCcy` (string, optional) — Currency available for repayment.
- `repayAmt` (string, optional) — Available amount for repayment.

## Examples

**Response**

```json
{
  "code": "0",
  "msg": "",
  "data": [
    {
      "debtData": [
        {
          "debtCcy": "LTC",
          "debtAmt": "29.653478"
        },
        {
          "debtCcy": "USDT",
          "debtAmt": "237803.6828295906051002"
        }
      ],
      "repayData": [
        {
          "repayCcy": "ETH",
          "repayAmt": "0.4978335419825104"
        }
      ],
      "debtType": "cross"
    }
  ]
}
```

**SDK Code**

```python trade_getOneClickRepayList_example
import requests

url = "https://www.okx.com/api/v5/trade/one-click-repay-currency-list"

headers = {"OK-ACCESS-KEY": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript trade_getOneClickRepayList_example
const url = 'https://www.okx.com/api/v5/trade/one-click-repay-currency-list';
const options = {method: 'GET', headers: {'OK-ACCESS-KEY': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go trade_getOneClickRepayList_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/trade/one-click-repay-currency-list"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("OK-ACCESS-KEY", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby trade_getOneClickRepayList_example
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/trade/one-click-repay-currency-list")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["OK-ACCESS-KEY"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java trade_getOneClickRepayList_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://www.okx.com/api/v5/trade/one-click-repay-currency-list")
  .header("OK-ACCESS-KEY", "<apiKey>")
  .asString();
```

```php trade_getOneClickRepayList_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://www.okx.com/api/v5/trade/one-click-repay-currency-list', [
  'headers' => [
    'OK-ACCESS-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp trade_getOneClickRepayList_example
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/trade/one-click-repay-currency-list");
var request = new RestRequest(Method.GET);
request.AddHeader("OK-ACCESS-KEY", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift trade_getOneClickRepayList_example
import Foundation

let headers = ["OK-ACCESS-KEY": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/trade/one-click-repay-currency-list")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```